Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#19694 closed defect (not_a_bug)

Archer C7 15.05-rc1 broken 5 GHz

Reported by: Jusic Owned by: developers
Priority: high Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc:

Description

ath10k is not part of the image, so 5 GHz Wifi doesn't work at all. And when trying to install ath10k the following error occurs:

Collected errors:

  • satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-ath10k:
  • kernel (= 3.18.11-1-317527fb328b694536ee00c07026c22c) *
  • opkg_install_cmd: Cannot install package kmod-ath10k.

Attachments (0)

Change History (8)

comment:1 Changed 3 years ago by jogo

  • Resolution set to not_a_bug
  • Status changed from new to closed

3.18.11-1-317527fb328b694536ee00c07026c22c is the version of the snapshot kernel, so you likely updated from the latest snapshot build to the rc1 build with a modified opkg.conf.

Please do cp /rom/etc/opkg.conf /etc/opkg.conf to restore the release opkg.conf.

After that kmod-ath10k should install fine.

comment:2 Changed 3 years ago by anonymous

  • Resolution not_a_bug deleted
  • Status changed from closed to reopened

same issue with brand new hardware and using factory bin.. /rom/etc/opkg.conf and /etc/opkg.conf are the same.. get:

Collected errors:

  • opkg_install_cmd: Cannot install package kmod-ath10k.

comment:3 Changed 3 years ago by Jusic

And even if the package dependencie gets resolved, why is ath10k not part of the image? Its essential for this model to work!

comment:4 Changed 3 years ago by jow

  • Resolution set to not_a_bug
  • Status changed from reopened to closed

You forgot to run "opkg update". Yes I agree that kmod-ath10k should be included by default but thats not the subject of this ticket.

comment:5 Changed 3 years ago by Jusic

It's not? Did you even read my first sentence for this ticket?

comment:6 Changed 3 years ago by jow

No I did not, I just reacted on mail notifications. Anyhow, kmod-ath10k is already part of the Archer C7 profile, see https://dev.openwrt.org/browser/trunk/target/linux/ar71xx/generic/profiles/tp-link.mk#L10

What image are you running exactly? And where did you get it from?

comment:8 Changed 3 years ago by anonymous

I had the same problem until I uninstalled and re-installed kmod-ath10k. The version from the nightly builds is different than the version that is compatible with RC1. You should have version 3.18.11+2015-03-09-3.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.